﻿<%@ Page Language="C#" %>


<%@ Import Namespace="Ektron.Cms.Min" %>
<%@ Import Namespace="Ektron.Cms.Framework.UI.Controls.EktronUI" %>

<!DOCTYPE html>

<script runat="server">
   
    protected void uxSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            long metaDataTypeID = long.Parse(uxMetaTypeID.Text);
            Ektron.Cms.Framework.Content.MetadataTypeManager metaTypeManager = new Ektron.Cms.Framework.Content.MetadataTypeManager();

            Ektron.Cms.ContentMetaData cMetaTypeData = metaTypeManager.GetItem(metaDataTypeID);


            if (cMetaTypeData != null)
            {
                //cMetaTypeData.Name = (uxMetaTitle.Text != string.Empty ? uxMetaTitle.Text : cMetaTypeData.Name);
                //cMetaTypeData.IsSearchAllowed = uxSearchAllowed.Checked;
                //cMetaTypeData.Separator = (uxSeperator.Text != string.Empty ? uxSeperator.Text : cMetaTypeData.Separator);
                //cMetaTypeData.IsEditable = uxMetaEditable.Checked;
                //cMetaTypeData.DefaultValue = (uxDefault.Text != string.Empty ? uxDefault.Text : cMetaTypeData.DefaultValue);
                
                int langtype;
                Int32.TryParse(uxLanguage.Text, out langtype);
                cMetaTypeData.Language = langtype;

                //metaTypeManager.Update(cMetaTypeData);

                metaTypeManager.Add(cMetaTypeData);

                MessageUtilities.UpdateMessage(uxMessage, "Metadata type with Id " + cMetaTypeData.Id + " updated", Message.DisplayModes.Success);

            }
            else
            {
                MessageUtilities.UpdateMessage(uxMessage, "Metadata type does not exist.", Message.DisplayModes.Error);

            }
            uxPageMultiView.SetActiveView(uxViewMessage);

        }
        catch (Exception ex)
        {
            MessageUtilities.UpdateMessage(uxMessage, ex.Message, Message.DisplayModes.Error);
            uxPageMultiView.SetActiveView(uxViewMessage);
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:MultiView ID="uxPageMultiView" runat="server" ActiveViewIndex="0">
                <asp:View ID="uxViewMessage" runat="server">
                    <ol class="formFields">
                        <li class="clearfix">
                            <ektronUI:Label ID="uxMetaTypeIDLabel" AssociatedControlID="uxMetaTypeID" CssClass="span-5 last" runat="server" Text="* Metadata Type ID :" />
                            <ektronUI:TextField ID="uxMetaTypeID" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
<%--                        <li class="clearfix">
                            <ektronUI:Label ID="uxTitleLabel" AssociatedControlID="uxMetaTitle" CssClass="span-5 last" runat="server" Text="Title :" />
                            <ektronUI:TextField ID="uxMetaTitle" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
                        <li class="clearfix">
                            <ektronUI:Label ID="uxEditableLabel" AssociatedControlID="uxMetaEditable" CssClass="span-5 last" runat="server" Text="* Editable :" />
                            <ektronUI:Button DisplayMode="Checkbox" Text="" ID="uxMetaEditable" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
                        <li class="clearfix">
                            <ektronUI:Label ID="uxSearchLabel" AssociatedControlID="uxSearchAllowed" CssClass="span-5 last" runat="server" Text="* Search Allowed :" />
                            <ektronUI:Button DisplayMode="Checkbox" Text="" ID="uxSearchAllowed" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
                        <li class="clearfix">
                            <ektronUI:Label ID="uxDefaultTextLabel" AssociatedControlID="uxDefault" CssClass="span-5 last" runat="server" Text="Default Text :" />
                            <ektronUI:TextField ID="uxDefault" CssClass="span-6" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
                        <li class="clearfix">
                            <ektronUI:Label ID="uxSeperatorLabel" AssociatedControlID="uxSeperator" CssClass="span-5 last" runat="server" Text="Seperator :" />
                            <ektronUI:TextField ID="uxSeperator" CssClass="span-1" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>--%>
                        <li class="clearfix">
                            <ektronUI:Label ID="uxLanguageLabel" AssociatedControlID="uxLanguage" CssClass="span-5 last" runat="server" Text="Language :" />
                            <ektronUI:TextField ID="uxLanguage" CssClass="span-1" runat="server" ValidationGroup="RegisterValidationGroup" />
                        </li>
                        <li class="clearfix">
                            <ektronUI:Button ID="uxSubmit" runat="server" OnClick="uxSubmit_Click" Text="Update"></ektronUI:Button>
                            <ektronUI:Label ID="uxRequiredLabel" CssClass="span-5" runat="server" Text="* - Required" />
                        </li>
                    </ol>
                </asp:View>
            </asp:MultiView>
            <ektronUI:Message ID="uxMessage" runat="server"></ektronUI:Message>
        </div>
    </form>
</body>
</html>
